Bug 885422 - Munin-node show error about apache on installation
Summary: Munin-node show error about apache on installation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: munin
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-09 11:21 UTC by Michael S.
Modified: 2013-01-12 01:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-31 03:21:46 UTC


Attachments (Terms of Use)

Description Michael S. 2012-12-09 11:21:20 UTC
When installing munin, a error message is show about incorrect permission :

warning: user apache does not exist - using root

This come from munin-node, where there is this line :

%dir %attr(0775,apache,munin) /var/log/munin

if apache is not installed ( and that's not a unreasonable request ), then there is no apache user.

Comment 1 d. johnson 2012-12-09 17:52:06 UTC
Which webserver are you using instead?

Comment 2 Michael S. 2012-12-09 19:05:47 UTC
I don't, that's for munin-node, it doesn't need a webserver.

Comment 3 d. johnson 2012-12-09 22:02:50 UTC
Munin-node is running as root already, isnt it?

Your files living in /var/log/munin/munin-node.log are 0644 root:root perms right?

Comment 4 Michael S. 2012-12-09 22:19:42 UTC
Yes, munin-node is running as root, but there ill still be a bug in some case.

Let's say, i install munin-node as part as kickstart ( that's basically what I did, just replace kickstart by puppet default config for my servers ), and then /var/log/munin/ is root:root.

Now, if there is something ( like for example, the munin script ) that run as apache and that requires to have /var/log/munin/ to be apache:root, this will fail, because munin-node was installed first. in fact, depending on the order of installation, even by doing yum install munin munin-node, this could fail.

ANd if nothing require apache:root on the directory, then the package should not ask such permissions.

A quick solution would be to make the log on munin-node go in /var/log/munin-node, with root:root, and the /var/log/munin directory should be moved to munin rpm, with apache:root.

Comment 5 d. johnson 2012-12-09 23:43:29 UTC
True, using /var/log/munin-node/ would make it simpler, but upstream does not have a configuration definition for splitting out node logs vs master logs.

Installing munin-node will not fail per se, regardless of order within yum. As you saw, it changes the permissions to root ownership if the user does not exist.

If you are not running munin-master, why would your apache-run script log to /var/log/munin/ at all? (Your paragraph 3 example above) This data should be dumped to /var/lib/munin/plugin-state/ or /var/lib/munin/[hostname]/*.rrd.

Comment 6 d. johnson 2012-12-09 23:46:40 UTC
Nevermind, you can edit /etc/munin/munin-node.conf, log_file to a new directory.

That would simplify the issue considerably.

Comment 7 d. johnson 2012-12-10 00:12:51 UTC
Scratch build, but see if this works out better for you:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4771534

(Munin owns /var/log/munin, and needs to be written to by both apache and munin users, permissions remain accordingly. Munin-node owns /var/log/munin-node and is 0755 root:root. Logrotate file for munin-node was adjusted as well.)

Comment 8 Fedora Update System 2012-12-21 19:00:16 UTC
munin-2.0.9-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/munin-2.0.9-3.fc18

Comment 9 Fedora Update System 2012-12-21 19:01:05 UTC
munin-2.0.9-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.9-3.fc17

Comment 10 Fedora Update System 2012-12-21 19:01:45 UTC
munin-2.0.9-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.9-3.fc16

Comment 11 Fedora Update System 2012-12-21 19:03:20 UTC
munin-2.0.9-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.9-3.el6

Comment 12 Fedora Update System 2012-12-21 19:04:16 UTC
munin-2.0.9-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.9-3.el5

Comment 13 Fedora Update System 2012-12-22 21:13:28 UTC
Package munin-2.0.9-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing munin-2.0.9-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20854/munin-2.0.9-3.fc18
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2012-12-31 03:21:47 UTC
munin-2.0.9-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2012-12-31 03:23:13 UTC
munin-2.0.9-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2013-01-09 22:14:32 UTC
munin-2.0.9-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2013-01-09 22:16:07 UTC
munin-2.0.9-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2013-01-12 01:28:51 UTC
munin-2.0.9-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.